
#ifndef _COMMON_H_
#define _COMMON_H_


#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <time.h>
#include <unistd.h>

#include <SDL2/SDL.h>


#define MAX_NAME_SIZE               20
#define MAX_PATH_SIZE               ( MAX_NAME_SIZE + 48 )
#define MAX_PLAYERS                 6
#define MAX_DICES_PER_PLAYER        5


#define NB_DICES                    30

#define WINDOW_WIDTH                800
#define WINDOW_HEIGHT               640
#define WINDOW_TITLE               "perudo"

#define PLAYERW  160
#define PLAYERH  120

/* ### Structures & Enums ### */

enum Boolean { false = 0, true };
typedef enum Boolean Boolean;

/* ### Prototypes ### */

    Uint32 sqrt32( Uint32 x ); /* Pour x < 3149400 */

#endif /* _COMMON_H_ */
