#include "ascii_art.h"

int print_dice(int nb)
{
    char *filename = "resources/dice_1.txt";
    switch (nb)
        {

    case 1:
        filename = "resources/dice_1.txt";
        break;
    case 2:
        filename = "resources/dice_2.txt";
        break;
    case 3:
        filename = "resources/dice_3.txt";
        break;
    case 4:
        filename = "resources/dice_4.txt";
        break;
    case 5:
        filename = "resources/dice_5.txt";
        break;
    case 6:
        filename = "resources/dice_6.txt";
        break;
        }
    FILE *fptr = NULL;

    if((fptr = fopen(filename,"r")) == NULL)
    {
        fprintf(stderr,"error opening %s\n",filename);
        return 1;
    }

    print_image(fptr);

    fclose(fptr);

    return 0;
}

int print_logo()
{
    char *filename = "resources/logo.txt";
    FILE *fptr = NULL;

    if((fptr = fopen(filename,"r")) == NULL)
    {
        fprintf(stderr,"error opening %s\n",filename);
        return 1;
    }

    print_image(fptr);

    fclose(fptr);

    return 0;
}

void print_image(FILE *fptr)
{
    char read_string[MAX_LEN];

    printf("\n");
    while(fgets(read_string,sizeof(read_string),fptr) != NULL)
        printf("%s",read_string);
    printf("\n");
}
