
#include <SDL2/SDL.h>
#include <stdio.h>
#include <stdlib.h>
#include <SDL2/SDL_image.h>


#define WINDOW_WIDTH 800
#define WINDOW_HEIGHT 640
#define WINDOW_TITLE "perudo"

SDL_Window* window = NULL;
SDL_Surface* screen = NULL;
SDL_Surface* image = NULL;
SDL_Surface* CImage = NULL;
SDL_Rect positionCImage;
SDL_Event myEvent;


void cleanUp() //程序退出时，清理内存
{
    if (image)
    {
        SDL_FreeSurface(image);
    }
    SDL_FreeSurface(screen);
    SDL_Quit();
}


int main(int argc, char* args[]){

    if(SDL_Init(SDL_INIT_VIDEO) < 0){

        printf("SDL2 can't open，SDL2_Error: %s \n", SDL_GetError());
        }
        else
        {
        window = SDL_CreateWindow(WINDOW_TITLE,
                                  SDL_WINDOWPOS_CENTERED,
                                  SDL_WINDOWPOS_CENTERED,
                                  WINDOW_WIDTH,
                                  WINDOW_HEIGHT,
                                  SDL_WINDOW_SHOWN);

        screen = SDL_GetWindowSurface(window);

        image = SDL_LoadBMP("/home/user/project/resources/images/screen.bmp");

        SDL_BlitSurface(image, NULL, screen, NULL);

        SDL_Surface* CImage = SDL_LoadBMP("/home/user/project/resources/images/TEST.bmp");

       // 设置PNG图片的矩形
        positionCImage.x = 0; // 左上角横坐标
        positionCImage.y = 0; // 左上角纵坐标
        positionCImage.w = 640; // 宽640像素
        positionCImage.h = 480; // 宽480像素

       // 将PNG图片的表面贴到窗口自带的表面上
        SDL_BlitSurface(CImage, NULL, screen, &positionCImage);

        SDL_UpdateWindowSurface(window);
        }
    pause();

    SDL_FreeSurface(image);
    SDL_DestroyWindow(window);
    SDL_Quit();

    return 0;
}

