
#include <SDL/common.h>
#include <SDL/Button.h>
#include <SDL/InputBox.h>
#include <stdlib.h>
#include <stdio.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_ttf.h>

#define DIR_SAVE_JOUEURS "../project/resources/Joueur/"
#define EXTENSION ".bin"
#define FILES_JOUEURS_NAMES "../project/resources/Joueur/@joueurfile.bin"
#define NB_BUTTONS_CREATE 2
#define NB_INPUT_BOXES_CREATE 6
#define NB_IMAGES_CREATE 4



typedef struct Create_menu
{
    SDL_Button buttons[NB_BUTTONS_CREATE];
    SDL_InputBox input_box[NB_INPUT_BOXES_CREATE];
    SDL_Surface *surf[ NB_IMAGES_CREATE ];
    SDL_Color couleurNoire;
    TTF_Font *font;
    SDL_Rect positionErreur;
}Create_menu;

enum inputscreate{backmenu,savejoueur};

int menu_creerjoueur(SDL_Rect positionFond,SDL_Surface *ecran);
void init_imagescreermenu(Create_menu* creermenu);
void init_creermenu(Create_menu* creermenu,SDL_Rect positionFond,SDL_Surface *ecran);
void update_creermenu(Create_menu* creermenu, SDL_Event* event);
void display_creermenu(Create_menu* creermenu,SDL_Surface *ecran);
void createjoueurfile(char* joueur1name, char* joueur2name, char* joueur3name, char* joueur4name, char* joueur5name,char* joueur6name);
void readteamsfiles(FILE* ptr_file,  char joueurname[MAX_NAME_SIZE], char* joueurs[MAX_PLAYERS]);
